catchmark

see the `catchmark` page for the full documentation More...

## Public Member Functions

| catchmark (const std::string &x)
const std::string & | mark () const

## Protected Attributes

std::string | _mark

## Detailed Description

see the `catchmark` page for the full documentation

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, burgers_diffusion_error.cc, combustion_error.cc, combustion_keller.cc, combustion_keller_post.cc, commute_rtd.cc, convect.cc, convect2.cc, convect_error.cc, convect_hdg.cc, convect_hdg_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_post_dg.cc, dirichlet_hdg.cc, dirichlet_hdg_average.cc, dirichlet_hdg_post.cc, dirichlet_hdg_post_rt.cc, dirichlet_hho.cc, elasticity_taylor_error_dg.cc, embankment.cc, embankment_adapt.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, incompressible-elasticity.cc, laplace_band.cc, mosolov_error.cc, mosolov_error_yield_surface.cc, mosolov_residue.cc, mosolov_yield_surface.cc, navier_stokes_cavity.cc, navier_stokes_taylor_dg.cc, navier_stokes_taylor_error_dg.cc, navier_stokes_taylor_newton_dg.cc, oldroyd_cavity.cc, oldroyd_contraction.cc, p_laplacian_damped_newton.cc, p_laplacian_error.cc, p_laplacian_fixed_point.cc, p_laplacian_newton.cc, proj_band.cc, reconstruction_hho.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hdg_post_rt.cc, stokes_cavity.cc, stokes_contraction.cc, stokes_contraction_bubble.cc, stokes_obstacle_slip_regul.cc, stokes_taylor_dg.cc, stokes_taylor_error_dg.cc, streamf_cavity.cc, streamf_contraction.cc, streamf_obstacle_slip_move.cc, stress.cc, transmission-mixed.cc, transmission.cc, transport_dg.cc, transport_tensor_dg.cc, transport_tensor_error_dg.cc, vorticity.cc, yield_slip_augmented_lagrangian.cc, yield_slip_damped_newton.cc, yield_slip_error.cc, and yield_slip_residue.cc.

Definition at line 67 of file catchmark.h.

## Constructor & Destructor Documentation

## catchmark()

catchmark | ( | const std::string & | x | ) |

Definition at line 82 of file catchmark.h.

## Member Function Documentation

## mark()

const std::string& mark | ( |  | ) | const

Definition at line 70 of file catchmark.h.

## Member Data Documentation

## _mark

std::string _mark

protected

Definition at line 75 of file catchmark.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/util/lib/catchmark.h